#ifndef __TH5PrintDialog__
#define __TH5PrintDialog__

#include <TGWindow.h>
#include <TGFrame.h>
#include <TGButton.h>
#include <TGTextBuffer.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

#include "TH5MainFrame.h"

using namespace std;

class TH5PrintDialog {

 private:
  TGTransientFrame    *fMain;
  TGCompositeFrame    *fFrame1, *fFrame2, *fFrame3, *fBottomFrame;
  TGButton            *fPrintButton, *fCancelButton;
  TGLayoutHints       *fL1, *fL2;
  
  TGLabel *fFormatLabel, *fFilenameLabel, *fExtensionLabel;
  TGComboBox *fPrintBox;  
  TGTextEntry *fFilenameEntry;
  TGTextBuffer *fFilenameBuffer;

  TH5MainFrame *fParent; // pointer to parent frame

  TString** fPrintFormat;

 public:
  TH5PrintDialog(const TGWindow *p, TH5MainFrame *main, UInt_t w, UInt_t h,
		 TString** H5PrintFormat,
		 UInt_t options = kVerticalFrame);
  virtual ~TH5PrintDialog();
  
  // slots
  void CloseWindow();
  void DoFormat(Int_t wid, Int_t id);
  void DoPrint();
  void DoCancel();
};

#endif
