#ifndef __TH5ProgressBar__
#define __TH5ProgressBar__

#include <TGWindow.h>
#include <TGFrame.h>
#include <TGButton.h>
#include <TGLabel.h>
#include <TGProgressBar.h>

#include "TH5Dataset.h"

using namespace std;

class TH5Dataset;
class TH5MainFrame;

class TH5ProgressBar {

 private:
  TGTransientFrame    *fMain;
  TGButton            *fCancelButton;
  
  TGLabel *fMessage;
  TGLabel *fMessage2;
  TGHProgressBar *fProgBar;

  TH5Dataset *fParentDataset; // pointer to parent dataset
  TGFrame* fParentFrame;

  Bool_t fCancel;  

 public:
  TH5ProgressBar(const TGWindow *p, TH5Dataset *dataset, 
		 UInt_t w, UInt_t h,
		 const char * message,
		 UInt_t options = kVerticalFrame);
  virtual ~TH5ProgressBar();
  
  void Reset() { fProgBar->Reset(); }
  void Increment(Double_t inc);
  void IncrementStep(Int_t step, Int_t nStep);
  void WriteInBar(TString s);

  Bool_t ReceivedCancel() const {return(fCancel); }

  // slots
  void CloseWindow();
  void DoCancel();
};

#endif
